<?php
include_once '../../sys/db.php';
include_once '../../sys/fnc.php';

if (isset($_GET['dir'])) {
    if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['dir']) ."'"), 0) > 0) {
        $dir = mysql_fetch_object(mysql_query("SELECT `id`,`id_dir` FROM `blog_category` WHERE `id` = '". intval($_GET['dir']) ."' LIMIT 1"));
    }
} else {
$dir->id = '0';
$dir->id_dir = '0';
}
switch ($_GET['section']) {
    default:
	$title = 'Все блоги';	
	include_once '../../sys/head.php';
	echo $div->div_razd.'Все блоги</div>';
// Вывод категорий
if ($dir->id == 0) {
    if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id_dir` = '". $dir->id ."'"), 0) == 0) {
        echo '<div class="err">Нет категорий</div>';
    }
    $output_dir = mysql_query("SELECT `id`,`name` FROM `blog_category` WHERE `id_dir` = '". $dir->id ."' ORDER BY `id` ASC");
	$n = $start;
    while ($blog_dir = mysql_fetch_object($output_dir)) {
	$n++;
	echo $i % 2 ? '<div class="menu">' : '<div class="menu">';
    echo '<a href="'.$HOME.'/pages/blog/?dir='. $blog_dir->id .'"><font color="green">'.$n.'.</font> '. html($blog_dir->name) .'</a>';
    $i++;
	echo '</div>';
	}
	if ($dir->id == 0 && $user->position == 'admin')echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/blog/?section=add_dir&id='.$dir->id.'">Добавить категорию</a></a></div>';
} else {
	// Вывод статей из категорий
    $c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_article` WHERE `id_dir` = '". $dir->id ."'"),0);
    $k_page = k_page($c_p, 10);
    $page = page($k_page);
    $start = 10*$page-10;
    if ($c_p == 0) {
        echo '<div class="err">Нет статей</div>';
    }
    $subsection = mysql_query("SELECT `id`,`time`,`name`,`text` FROM `blog_article` WHERE `id_dir` = '". $dir->id ."' ORDER BY `id` DESC LIMIT $start, 10");
    while ($blog_o = mysql_fetch_object($subsection)) {
	$text = mb_substr($blog_o->text, 0, 140, 'utf-8');
	echo '<div class="menu"><a href="'.$HOME.'/pages/blog/?section=review&id='. $blog_o->id .'&dir='. $dir->id .'">'. output($blog_o->name).'</a><br> '. output($text) .'</div>';
    }
    if ($k_page > 1) str('?dir='. $dir->id .'&', $k_page, $page);
    if (isset($user) && $dir->id != 0 && $user->position == 'admin' || $user->blog_add == 1 || $user->position == 'mod') echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="?section=add_article&id='. $dir->id .'"> Добавить статью</a></div>';
    // Доступ только для админов
	if ($dir->id != 0 && $user->position == 'admin') {
	echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/blog/?section=del_dir&id='. $dir->id .'"> Удалить текущую папку</a></div>';
	echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/blog/?section=settings_dir&dir='. $dir->id .'">Изменить название категории</a></div>';
	}
	if($dir->id != 0) {echo '<div class="menu"><a href="'.$HOME.'/pages/blog/?dir='. $dir->id_dir .'"> Назад</a></div>';}
}

		break;
	// Добавление категории
	    case 'add_dir':
        if (!isset($_GET['id']) || isset($_GET['id']) && intval($_GET['id']) != 0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."'"), 0) == 0) {
            header('location: /pages/blog/');
            exit;
        }
        if ($user->position != 'admin') {
            header('location: /pages/blog/');
            exit;
        }
        $dir->id = '0';
        if (isset($_GET['id']) && intval($_GET['id']) != 0) {
            $dir = mysql_fetch_object(mysql_query("SELECT * FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."' LIMIT 1"));
        }
        $error = false;
        $errort = '';
        if (isset($_POST['submit'])) {
            $name = mysql_real_escape_string($_POST['name']);
            if (empty($name)) {
                $error = true;
                $errort .= '<div class="err">Вы не ввели название</div>';
            } elseif(strlen($name) > 50) {
                $error = true;
                $errort .= '<div class="err">Большое название</div>';
            } else {
				mysql_query("INSERT INTO `blog_category` (`id_dir`, `name`) VALUES ('". $dir->id ."', '". $name ."')");
               header("location: /pages/blog/?dir=". $dir->id);
            }
        }
        $title = 'Добавление папки';
        include_once '../../sys/head.php';
        echo '<div class="title">Добавление папки</div>';
        echo $errort;
        echo '<div class="menu"><form method="post">
        Название:<br/><input type="text" name="name"><br>
        <input type="submit" name="submit" value="Добавить"></form></div>
        <div class="menu"><a href="/pages/blog/?dir='. $dir->id .'">Назад</a></div>';
    break;
	// Удаление категории
	    case 'del_dir':
        if (!isset($_GET['id']) || isset($_GET['id']) && intval($_GET['id']) != 0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."'"), 0) == 0) {
            header('location: /pages/blog/');
            exit;
        }
        if ($user->position != 'admin') {
            header('location: /pages/blog/');
            exit;
        }
        $dir->id = '0';
        $dir->id_dir = '0';
        if (isset($_GET['id']) && intval($_GET['id']) != 0) {
            $dir = mysql_fetch_object(mysql_query("SELECT * FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."'"));
        }
        $blog = mysql_fetch_object(mysql_query("SELECT * FROM `blog_article` WHERE `id_dir` = '". $dir->id ."'"));
        if (isset($_POST['yes'])) {
            mysql_query("DELETE FROM `blog_category` WHERE `id` = '". $dir->id ."'");
            mysql_query("DELETE FROM `blog_article` WHERE `id_dir` = '". intval($_GET['id']) ."'");
            header('Location: /pages/blog/');
            exit;
        }
        $title = 'Удаление папки';
        include_once '../../sys/head.php';
        echo '<div class="title">Удаление папки '. $blog->id .'</div>
        <div class="menu"><form method="post">
        Вы уверены что хотите удалить эту папку со всеми файлами и папками (если они существуют) которые находятся в этой папке?<br>
        <input type="submit" name="yes" value="Да" /> <a href="/pages/blog/?dir='. $dir->id .'">Нет</a>
        </form></div>';
    break;
	// Удаление блога
	    case 'del_blog':
        if (!isset($_GET['id']) || isset($_GET['id']) && intval($_GET['id']) != 0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_article` WHERE `id` = '". intval($_GET['id']) ."'"), 0) == 0) {
            header('location: /pages/blog/');
            exit;
        }
        if ($user->position != 'admin') {
            header('location: /pages/blog/');
            exit;
        }
        if (isset($_GET['id']) && intval($_GET['id']) != 0) {
            $dir = mysql_fetch_object(mysql_query("SELECT * FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."'"));
        }
        $blog = mysql_fetch_object(mysql_query("SELECT * FROM `blog_article` WHERE `id_dir` = '". $dir->id ."'"));
        if (isset($_POST['yes'])) {
            mysql_query("DELETE FROM `blog_article` WHERE `id` = '". intval($_GET['id']) ."'");
            header('Location: /pages/blog/');
            exit;
        }
        $title = 'Удаление статьи';
        include_once '../../sys/head.php';
        echo '<div class="title">Удаление статьи '. $blog->id .'</div>
        <div class="menu"><form method="post">
        Вы уверены что хотите удалить эту папку со всеми файлами и папками (если они существуют) которые находятся в этой папке?<br>
        <input type="submit" name="yes" value="Да" /> <a href="/pages/blog/?dir='. $dir->id .'">Нет</a>
        </form></div>';
    break;
	// Добавление статьи
	case 'add_article':
	        if (!isset($_GET['id']) || isset($_GET['id']) && intval($_GET['id']) != 0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['id']) ."'"), 0) == 0) {
            header('location: /pages/blog/');
            exit;
        }
        if ($user->position != 'admin' && $user->position != 'mod' && $user->blog_add != 1) {
            header('location: /pages/blog/');
            exit;
        } 
	$error = false;
    $errort = '';
	
	 if (isset($_POST['msg'])) {
     $text = html($_POST['msg']);
	 $name = mysql_real_escape_string($_POST['name']);
     if (empty($name)) {
     $error = true;
     $errort .= '<div class="err">Вы не ввели название</div>';
     } elseif(strlen($name) < 5) {
     $error = true;
     $errort .= '<div class="err">Маленькое название</div>';
     } elseif(strlen($name) > 5000) {
     $error = true;
     $errort .= '<div class="err">Большое название</div>';
     } elseif(strlen($text) > 5000) {
     $error = true;
     $errort .= '<div class="err">Большой текст</div>';
     } elseif (empty($text)) {
     $error = true;
     $errort .= '<div class="err">Вы не ввели текст</div>';
     } elseif(strlen($text) < 50) {
     $error = true;
     $errort .= '<div class="err">Маленький текст</div>';
     }
	if (!$error){
    mysql_query("INSERT INTO `blog_article` (`id_dir`, `id_user`, `name`, `text`,`time`) VALUES ('". intval($_GET['id']) ."', '". $user->id ."', '". $name ."', '". $text ."', '".time()."')");
    header('location: ?section=review&id='. mysql_insert_id() .'');
	}
	}
$title = 'Добавление статьи';
include_once '../../sys/head.php';
echo '<div class="title">Добавление статьи</div>';
echo $errort;

	echo '<div class="menu"><form method="post" name="message" action="">';
	echo 'Название: <small>(3-50)</small><br/><input type="text" name="name"><br>
	Сообщение: <small>(50-5000)</small><br/><textarea name="msg" rows="5" cols="30"></textarea><br><br />';
	echo '<input value="Отправить" type="submit" />';
	echo '</form></div> <div class="menu"><a href="'.$HOME.'/pages/blog/index.php?dir='. $dir->id .'"> Отмена</a></div>';
	break;
	// Просмотр статьи
	case 'review':
	
$blog_list = mysql_query("SELECT * FROM `blog_article` WHERE `id` = '". mysql_real_escape_string($_GET['id']) ."'");
$blog = mysql_fetch_object($blog_list); 
	
$title = 'Просмотр статьи '.$blog->name;
include_once '../../sys/head.php';
echo '<div class="title">Просмотр статьи '.$blog->name.'</div>';
echo $errort;

	/* Такой статьи нет */
if (mysql_num_rows($blog_list) != 1) {
echo '<div class="menu">Такой статьи не существует!</div>';
include_once '../../sys/foot.php';
exit;
}
mysql_query("UPDATE `blog_article` SET `review` = '".($blog->review+1)."' WHERE `id` = '$blog->id' LIMIT 1");
$f_name = mysql_fetch_object(mysql_query("SELECT * FROM `blog_article` WHERE `id_dir` = '$blog->id_dir' LIMIT 1"));
$dir_name = mysql_fetch_object(mysql_query("SELECT * FROM `blog_category` WHERE `id` = '$f_name->id_dir' LIMIT 1"));
echo '<div class="menu"> '.$blog->name.'</div>
<div class="menu"> '.output($blog->text).'</div>';
?>
<div class="title" style="text-align:right;">
                <script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
Поделиться:<div class="yashare-auto-init" style="display:inline-block;" data-yashareL10n="ru" data-yashareQuickServices="vkontakte,facebook,twitter,gplus" data-yashareTheme="counter" data-yashareImage="http://jesk.info/img/icons/apple/apple-icon-72x72.png"></div></div><?
echo '<div class="menu">При копировании статьи убедительная просьба оставлять ссылку на источник <br />
<input type="text" value="[url='.$HOME.'/blog'.$blog->id.']'.$blog->name.'[/url]" /></div>';
echo '<div class="menu"><i class="fa fa-sitemap fa-fw"></i> Раздел: <a href="'.$HOME.'/pages/blog/?dir='.$blog->id_dir.'">'.$dir_name->name.'</a></div>';
if ($user->position == 'admin'){
echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/blog/index.php?section=review&id='.intval($_GET['id']).'&dir='.$blog->id_dir.'&section=settings">Изменить статью</a></div>';
echo '<div class="menu"><i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/blog/index.php?section=review&id='.intval($_GET['id']).'&dir='.$blog->id_dir.'&section=del_blog">Удалить статью</a></div>';
}
echo '<div class="menu"><i class="fa fa-clock-o fa-fw"></i> Добавлена: '.ptime($blog->time).'</div>
<div class="menu"><i class="fa fa-eye fa-fw"></i> Просмотров: '.$blog->review.'</div>';
echo '<div class="menu"><a href="'.$HOME.'/pages/blog/index.php?dir='. $blog->id_dir .'">Назад</a></div>';
break;
// Изменить статью
case 'settings':
$title = 'Изменить статью';
include_once '../../sys/head.php';
echo '<div class="title">Изменить статью</div>';
echo $errort;

$blog_list = mysql_query("SELECT * FROM `blog_article` WHERE `id` = '". mysql_real_escape_string($_GET['id']) ."'");
$blog_p = mysql_fetch_object($blog_list); 

	/* Такой статьи нет */
if (mysql_num_rows($blog_list) != 1) {
echo '<div class="title">Страница</div>';
echo '<div class="menu">Такой статьи не существует!</div>';
include_once '../../sys/foot.php';
exit;
}
	$blog = mysql_fetch_array(mysql_query("SELECT * FROM `blog_article` WHERE `id` = '". intval($_GET['id']) ."'"));
	
    $error = false;
    $errort = '';
	
	 if (isset($_POST['msg'])) {
     $text = html($_POST['msg']);
	 $name = mysql_real_escape_string($_POST['name']);
     if (empty($name)) {
     $error = true;
     $errort .= '<div class="err">Вы не ввели название</div>';
     } elseif(strlen($name) < 5) {
     $error = true;
     $errort .= '<div class="err">Маленькое название</div>';
     } elseif(strlen($name) > 5000) {
     $error = true;
     $errort .= '<div class="err">Большое название</div>';
     } elseif(strlen($text) > 5000) {
     $error = true;
     $errort .= '<div class="err">Большой текст</div>';
     } elseif (empty($text)) {
     $error = true;
     $errort .= '<div class="err">Вы не ввели текст</div>';
     } elseif(strlen($text) < 50) {
     $error = true;
     $errort .= '<div class="err">Маленький текст</div>';
     }
	if (!$error){
	mysql_query("UPDATE `blog_article` SET `name` = '$name', `text` = '$text' WHERE `id` = '". $blog['id'] ."'");
    header('location: /pages/blog/?section=review&id='.intval($_GET['id']).'');
	}
	}
	echo '<div class="menu"><form method="post" name="message" action="">';
	echo 'Название: <small>(3-50)</small><br/><textarea cols="17" rows="1" name="name">'. $blog['name'] .'</textarea><br>
	Сообщение: <small>(50-5000)</small><br/><textarea cols="37" rows="5" name="msg">'. $blog['text'] .'</textarea><br><br />';
	echo '<input value="Изменить" type="submit" /></div>';
	echo '</form></div> <div class="menu"><a href="index.php?dir='. $dir->id .'"> Отмена</a></div>';
break;
// Изменить название категории
case 'settings_dir':
$title = 'Изменить категорию';
include_once '../../sys/head.php';
echo '<div class="title">Изменить категорию</div>';
echo $errort;

if (!isset($_GET['dir']) || isset($_GET['dir']) && intval($_GET['dir']) != 0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['dir']) ."'"), 0) == 0) {
header('location: /pages/blog/');
exit;
}
if ($user->position != 'admin') {
header('location: /pages/blog/');
exit;
}

$blog_list = mysql_query("SELECT * FROM `blog_article` WHERE `id` = '". mysql_real_escape_string($_GET['dir']) ."'");
$blog_p = mysql_fetch_object($blog_list); 

	/* Такой статьи нет */
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_category` WHERE `id` = '". intval($_GET['dir']) ."'"), 0)==0) {
echo '<div class="menu">Такой статьи не существует!</div>';
include_once '../../sys/foot.php';
exit;
}
	 $dir_set = mysql_fetch_array(mysql_query("SELECT * FROM `blog_category` WHERE `id` = '". intval($_GET['dir']) ."'"));
	 $error = false;
     $errort = '';	
	 if (isset($_POST['name'])) {
	 $name = mysql_real_escape_string($_POST['name']);
     if (empty($name)) {
     $error = true;
     $errort .= '<div class="err">Вы не ввели название</div>';
     } elseif(strlen($name) < 5) {
     $error = true;
     $errort .= '<div class="err">Маленькое название</div>';
     } elseif(strlen($name) > 500) {
     $error = true;
     $errort .= '<div class="err">Большое название</div>';
     } 
	if (!$error){
	mysql_query("UPDATE `blog_category` SET `name` = '$name' WHERE `id` = '". $dir_set['id'] ."'");
    header('location: /pages/blog/?dir='.intval($_GET['dir']).'');
	}
	}
	echo '<div class="menu"><form method="post" name="message" action="">';
	echo 'Название: <small>(3-50)</small><br/><textarea cols="77" rows="1" name="name">'. $dir_set['name'] .'</textarea><br />';
	echo '<input value="Изменить" type="submit" /></div>';
	echo '</form></div> <div class="menu"><a href="'.$HOME.'/pages/blog/index.php?dir='. $dir->id .'"> Отмена</a></div>';
break;
}
include_once '../../sys/foot.php';
?>